using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// از این کلاس برای ذخیره سازی جزئیات سفارش خریداری شده و تحویل به انبار اقلام استفاده می شود
/// </summary>
public class Class_tblPuchOrders
{
    private Decimal Dec_OrderDetailID = 0;
    private int int_WareHouseID = 0;
    private Decimal Dec_PriceVahed = 0;
    private Decimal Dec_TotalPrice = 0;

    /// <summary>
    /// متد سازنده کلاس
    /// </summary>
    /// <param name="Dec_OrderDetailID"></param>
    /// <param name="int_WareHouseID"></param>
    public Class_tblPuchOrders(Decimal Dec_OrderDetailID, int int_WareHouseID, Decimal Dec_PriceVahed, Decimal Dec_TotalPrice)
	{
        this.Dec_OrderDetailID = Dec_OrderDetailID;
        this.int_WareHouseID = int_WareHouseID;
        this.Dec_PriceVahed = Dec_PriceVahed;
        this.Dec_TotalPrice = Dec_TotalPrice;
     
	}
    // ذخیره در جدول کالای تحویلی به انبار
    public void UDF_SavePurchasedOrders()
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblPuchOrder tblPurch = new tblPuchOrder();
        Class_ShamsiTools shDate = new Class_ShamsiTools();
        tblOrderDetail tblordDetail = new tblOrderDetail();

        shDate.UDF_GetCurrentShamsiDate();
        tblPurch.OrderDetailID = Dec_OrderDetailID;
        tblPurch.WarwHouseID = int_WareHouseID;
        tblPurch.DeliverDate = shDate.CurrentShmasiDate;
        tblPurch.PriceVahed = Dec_PriceVahed;
        tblPurch.TotalPrice = Dec_TotalPrice;
        db.tblPuchOrders.InsertOnSubmit(tblPurch);
        db.SubmitChanges();

        UDF_UpdateOrderDetailPurchBit(this.Dec_OrderDetailID);
       
    }

    //بروز رسانی بیت وضعیت خرید در جدول جزئیات سفارش
    private void UDF_UpdateOrderDetailPurchBit(Decimal Dec_OrdersDetailsID)
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblOrderDetail tblOrder = db.tblOrderDetails.Single(n => n.OrderDetailID == Dec_OrdersDetailsID);
        tblOrder.PurchasedBit = Boolean.Parse("true");
       
        db.SubmitChanges();
    }

    

}
